# Hsreplay.netCrawler
A web crawler for scraping Battlegrounds module data from Hsreplay.net website
[README_CN](README.md)
## Usage
```
python .\main.py -h
```

```
usage: main.py [-h] -o {comp,hero,minion} -p {ALL,TOP_20_PERCENT} -r {CURRENT_BATTLEGROUNDS_PATCH,LAST_7_DAYS}
               [-s SESSIONID] [-c CSRFTOKEN]

Scrape hsreplay.net Battlegrounds data

optional arguments:
  -h, --help            show this help message and exit
  -o {comp,hero,minion}, --operation {comp,hero,minion}
                        comp: Composition hero: Hero minion: Minion
  -p {ALL,TOP_20_PERCENT}, --percentile {ALL,TOP_20_PERCENT}
                        ALL: All players TOP_20_PERCENT: Top 20% of players
  -r {CURRENT_BATTLEGROUNDS_PATCH,LAST_7_DAYS}, --range {CURRENT_BATTLEGROUNDS_PATCH,LAST_7_DAYS}
                        CURRENT_BATTLEGROUNDS_PATCH: Current version LAST_7_DAYS: Last 7 days
  -s SESSIONID, --sessionid SESSIONID
                        session_id value (optional/can be modified in main.py)
  -c CSRFTOKEN, --csrftoken CSRFTOKEN
                        csrf_token value (optional/can be modified in main.py)
```